# KDChartAbstractThreeDAttributes.cpp File Reference

`#include "KDChartAbstractThreeDAttributes.h"`
`#include "KDChartAbstractThreeDAttributes_p.h"`
`#include <QDebug>`
`#include <KDABLibFakes>`

Include dependency graph for KDChartAbstractThreeDAttributes.cpp:

Go to the source code of this file.

## Defines

#define | d d_func()

## Functions

QDebug | operator<< (QDebug dbg, const KDChart::AbstractThreeDAttributes &a)

## Define Documentation

#define d d_func()

| Definition at line 33 of file KDChartAbstractThreeDAttributes.cpp.

## Function Documentation

QDebug operator<< | ( | QDebug | dbg,
|  | const KDChart::AbstractThreeDAttributes & | a
| ) |

Definition at line 116 of file KDChartAbstractThreeDAttributes.cpp.

    00117 {
    00118     dbg << "enabled="<<a.isEnabled()
    00119         << "depth="<<a.depth();
    00120     return dbg;
    00121 }